From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: app-admin/eselect/files/, app-admin/eselect/
Date: Sun, 7 Oct 2012 09:18:53 +0000 (UTC) [thread overview]
Message-ID: <1347722414.e7295ec08afc5b4611b1ed7c103d10465e01c1c5.jlec@gentoo> (raw)
commit: e7295ec08afc5b4611b1ed7c103d10465e01c1c5
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 15 15:20:14 2012 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Sep 15 15:20:14 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=e7295ec0
app-admin/eselect: Version BUmp
(Portage version: 2.2.0_alpha128/git/Linux x86_64, unsigned Manifest commit)
---
app-admin/eselect/ChangeLog | 6 ++
app-admin/eselect/eselect-1.3.2-r1.ebuild | 80 +++++++++++++++++++++
app-admin/eselect/files/eselect-1.3.2-eroot.patch | 11 +++
3 files changed, 97 insertions(+), 0 deletions(-)
diff --git a/app-admin/eselect/ChangeLog b/app-admin/eselect/ChangeLog
index 99f036e..4ed313a 100644
--- a/app-admin/eselect/ChangeLog
+++ b/app-admin/eselect/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect/ChangeLog,v 1.179 2011/01/22 21:38:52 ulm Exp $
+*eselect-1.3.2-r1 (15 Sep 2012)
+
+ 15 Sep 2012; Justin Lecher <jlec@gentoo.org> +eselect-1.3.2-r1.ebuild,
+ +files/eselect-1.3.2-eroot.patch:
+ Version BUmp
+
04 Jun 2012; Justin Lecher <jlec@gentoo.org> eselect-1.3.1-r1.ebuild,
metadata.xml:
Fix eaclocal call
diff --git a/app-admin/eselect/eselect-1.3.2-r1.ebuild b/app-admin/eselect/eselect-1.3.2-r1.ebuild
new file mode 100644
index 0000000..90435a2
--- /dev/null
+++ b/app-admin/eselect/eselect-1.3.2-r1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect/eselect-1.3.ebuild,v 1.1 2012/01/21 19:02:55 ulm Exp $
+
+EAPI=3
+
+inherit bash-completion-r1 eutils autotools
+
+DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
+HOMEPAGE="http://www.gentoo.org/proj/en/eselect/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="sys-apps/sed
+ || (
+ sys-apps/coreutils
+ sys-freebsd/freebsd-bin
+ app-misc/realpath
+ )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ doc? ( dev-python/docutils )"
+RDEPEND="!app-admin/eselect-news
+ ${RDEPEND}
+ sys-apps/file
+ sys-libs/ncurses"
+
+# Commented out: only few users of eselect will edit its source
+#PDEPEND="emacs? ( app-emacs/gentoo-syntax )
+# vim-syntax? ( app-vim/eselect-syntax )"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-eroot.patch"
+ epatch "${FILESDIR}"/${PN}-alternatives.patch
+ AT_M4DIR="." eautoreconf
+}
+
+src_compile() {
+ emake || die
+
+ if use doc; then
+ emake html || die
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ newbashcomp misc/${PN}.bashcomp ${PN} || die
+ dodoc AUTHORS ChangeLog NEWS README TODO doc/*.txt || die
+
+ if use doc; then
+ dohtml *.html doc/* || die
+ fi
+
+ # needed by news module
+ keepdir /var/lib/gentoo/news
+ if ! use prefix; then
+ fowners root:portage /var/lib/gentoo/news || die
+ fperms g+w /var/lib/gentoo/news || die
+ fi
+
+ # band aid for prefix
+ if use prefix; then
+ cd "${ED}"/usr/share/eselect/libs
+ sed -i "s:ALTERNATIVESDIR_ROOTLESS=\"${EPREFIX}:ALTERNATIVESDIR_ROOTLESS=\":" alternatives.bash
+ fi
+}
+
+pkg_postinst() {
+ # fowners in src_install doesn't work for the portage group:
+ # merging changes the group back to root
+ if ! use prefix; then
+ chgrp portage "${EROOT}/var/lib/gentoo/news" \
+ && chmod g+w "${EROOT}/var/lib/gentoo/news"
+ fi
+}
diff --git a/app-admin/eselect/files/eselect-1.3.2-eroot.patch b/app-admin/eselect/files/eselect-1.3.2-eroot.patch
new file mode 100644
index 0000000..81e5bb6
--- /dev/null
+++ b/app-admin/eselect/files/eselect-1.3.2-eroot.patch
@@ -0,0 +1,11 @@
+--- a/bin/eselect.in
++++ b/bin/eselect.in
+@@ -43,7 +43,7 @@
+
+ # Support variables for Gentoo Prefix
+ EPREFIX="@EPREFIX@"
+-EROOT="${ROOT%/}${EPREFIX}"
++EROOT="${ROOT%${EPREFIX:+/}}${EPREFIX}"
+
+ # Remove all alias definitions. Unset functions and variables that are
+ # known to cause trouble.
next reply other threads:[~2012-10-07 9:19 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-10-07 9:18 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-04-02 11:20 [gentoo-commits] proj/sci:master commit in: app-admin/eselect/files/, app-admin/eselect/ Justin Lecher
2017-12-25 20:33 Justin Lecher
2017-04-30 7:47 Justin Lecher
2016-12-10 10:50 Justin Lecher
2016-07-31 16:09 Justin Lecher
2015-08-14 7:24 Justin Lecher
2015-05-24 8:14 Justin Lecher
2014-05-26 7:07 Justin Lecher
2013-09-02 11:16 Andrew Savchenko
2013-01-24 19:47 Sebastien Fabbro
2012-09-20 21:25 Justin Lecher
2012-01-22 22:16 Sebastien Fabbro
2011-09-06 18:04 Sebastien Fabbro
2011-08-03 23:37 Andrea Arteaga
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1347722414.e7295ec08afc5b4611b1ed7c103d10465e01c1c5.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox